Page MenuHomePhabricator

Various EFL applications including EFL are installing icons in the wrong location
Closed, ResolvedPublic

Description

Several things are installing icons in the wrong location per FDO.

/usr/share/icons/ecrire.png
/usr/share/icons/edi.png
/usr/share/icons/elementary.png
/usr/share/icons/equate.png
/usr/share/icons/rage.png
/usr/share/icons/terminology.png
/usr/share/icons/verne.svg

Looking at FDO Icon Theme Spec, this seems to be incorrect.

Per the FDO Icon Theme Spec, taken out of the first couple paragraphs.
"By default, apps should look in $HOME/.icons (for backwards compatibility), in $XDG_DATA_DIRS/icons and in /usr/share/pixmaps (in that order). "
"In each of these directories themes are stored as subdirectories. "
"In order to have a place for third party applications to install their icons there should always exist a theme called "hicolor""

Basically to me that says, icons should not be in /usr/share/icons, but a subdir with the icon theme name. For icons that do not belong to any one theme. They should be installed in the hicolor theme, in the respective size/category directory.

I have corrected ecrire. epack and epymc does this correctly as well.

Other things need to be corrected as well.

wltjr created this task.Jul 12 2017, 12:21 PM
ajwillia.ms edited projects, added Restricted Project; removed Restricted Project.Aug 17 2017, 8:33 AM
ajwillia.ms added a subscriber: ajwillia.ms.

We should also fix the edi / skeleton projects so that new apps don't make the same mistake...

netstar moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Aug 18 2017, 7:12 AM
ajwillia.ms moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Aug 21 2017, 7:05 AM
rbtylee added a subscriber: rbtylee.Sep 7 2017, 2:32 AM

As far as EDI is concerned this one is done.

bu5hm4n triaged this task as High priority.Jun 10 2018, 12:24 PM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:54 AM
bu5hm4n edited projects, added Restricted Project; removed Restricted Project.Jun 11 2018, 9:30 AM
zmike added a subscriber: zmike.Jun 20 2018, 6:12 AM

@netstar Could you handle the EFL icons?

I need to check Ephoto for this behavior.

Hmm

Should be easy except the elementary icon is hard-coded in a lot of places.

It's even difficult to test due to some caching???

zmike added a comment.Jun 22 2018, 7:39 AM

Submit some patches and we can see what happens I guess?

bu5hm4n removed projects: efl (efl-1.21), Restricted Project.
bu5hm4n removed a project: Restricted Project.

edi, terminology, rage, evisum...all ok.

I'm going through old tasks. Is this even valid anymore? If not close.

netstar closed this task as Resolved.Mar 30 2020, 1:12 PM